<template>
  <div class="RealTimeVideo">
    <div class="videoLists">
      <ul>
        <li v-for="(item, index) in videoDatas" :key="index">
          <div class="imgBox">
            <img :src="item.img" alt=""/>
          </div>
          <div class="addressMess">
            <span>{{ item.address }}</span>
            <i class="imgBox">
              <img
                  src="@/assets/img/riskMonitor/integrated/rightCons/position.png"
                  alt=""
              />
            </i>
          </div>
        </li>
      </ul>
    </div>
<!--    <vue-seamless-scroll :data="listDatas" class="seamless-warp">-->
      <div class="seamless-warp">
        <div v-for="(item,index) in listDatas" :key="index" class="data-item">
          <span>{{ index + 1 }}</span>
          <span>{{ item.address }}</span>
        </div>
      </div>
<!--    </vue-seamless-scroll>-->
  </div>
</template>

<script>
import vueSeamlessScroll from 'vue-seamless-scroll'
export default {
  name: "RealTimeVideo",
  components: {vueSeamlessScroll},
  data() {
    return {
      videoDatas: [],
      listDatas: [],
      titleDatas: [],
      stepNum: 0,
      className: "setClass",
      tableClass: "tableAll",
    };
  },
  created() {
    this.init();
  },
  computed: {
    options() {
      return {
        step: 0, // 滚动速度 , 数值越大滚动越快
        limitMoveNum: 3, // 滚动的数据条数
        hoverStop: true, // 鼠标点击停止滚动, 默认true
        openTouch: false, // 按住鼠标停止滚动, 默认true
        direction: 2, // 滚动方向 , 0 向下 , 1 向上 , 2 向左 , 3 向右
        singleHeight: 0, // 单步运动停止的高度(默认是0, 无缝不停止的滚动,direction是0或1)
        // 就是滚多高停一下,再滚多高又停一下,停的时间就是waitTime
        // 这个高度,可以F12审查元素用箭头放在字上面看li的高度是多少
        singleWidth: 0, // 单步运动停止的宽度(默认是0, 无缝不停止的滚动,direction是2或3)
        waitTime: 1000, // 单步运动停止的时间 (默认值1000ms)
        openWatch: true, // 开启数据实时监控刷新dom
      };
    },
  },
  methods: {
    init() {
      this.videoDatas = [
        {
          id: 1,
          img: require("@/assets/img/riskMonitor/integrated/rightCons/video1.png"),
          address: "太乙立交交叉口",
        },
        {
          id: 2,
          img: require("@/assets/img/riskMonitor/integrated/rightCons/video2.png"),
          address: "星火路与丰禾路交叉口",
        },
      ];
      this.stepNum = 0;
      this.listDatas = [
        {
          id: 1,
          typeName: "燃气",
          grade: "一级",
          address: "太乙立交交叉口",
          alarmTime: "2023-02-19 12:23:49",
          project: "燃气",
          status: 0,
        },
        {
          id: 2,
          typeName: "燃气",
          grade: "二级",
          address: "星火路与丰禾路交叉口北摄像头04",
          alarmTime: "2023-02-19 12:23:49",
          project: "燃气",
          status: 1,
        },
        {
          id: 3,
          typeName: "燃气",
          grade: "一级",
          address: "雁南路与翠华路交叉口向东500米",
          alarmTime: "2023-02-19 12:23:49",
          project: "燃气",
          status: 0,
        },
        {
          id: 3,
          typeName: "燃气",
          grade: "一级",
          address: "雁南路与翠华路交叉口向东500米",
          alarmTime: "2023-02-19 12:23:49",
          project: "燃气",
          status: 0,
        },
        {
          id: 3,
          typeName: "燃气",
          grade: "一级",
          address: "雁南路与翠华路交叉口向东500米",
          alarmTime: "2023-02-19 12:23:49",
          project: "燃气",
          status: 0,
        },
        {
          id: 3,
          typeName: "燃气",
          grade: "一级",
          address: "雁南路与翠华路交叉口向东500米",
          alarmTime: "2023-02-19 12:23:49",
          project: "燃气",
          status: 0,
        },
      ];
      this.titleDatas = [
        {
          name: "",
          fieldName: "",
          width: 10,
        },
        {
          name: "序号",
          fieldName: "id",
          width: 120,
        },
        {
          name: "位置",
          fieldName: "address",
        },
        {
          name: "状态",
          fieldName: "status",
        },
      ];
    },
  },
};
</script>

<style lang="scss" scoped>
.RealTimeVideo {
  position: absolute;
  width: 100%;
  height: calc(100% - 40px);
  top: 40px;
  box-sizing: border-box;

  .videoLists {
    width: 100%;
    height: 80px;

    .scrollBox {
      height: 100%;
      overflow: hidden;
    }

    ul {
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: space-between;

      li {
        width: 50%;
        height: 80px;
        box-sizing: border-box;
        position: relative;
        margin-right: 18px;

        .imgBox {
          display: inline-block;
          width: 100%;
          height: 100%;
        }

        .addressMess {
          width: 100%;
          padding: 0 12px;
          position: absolute;
          left: 0;
          bottom: 0;
          height: 25px;
          background: rgba(0, 198, 255, 0.3);
          line-height: 25px;
          border-top: 1px solid rgba(255, 255, 255, 0.3);
          box-sizing: border-box;
          overflow: hidden;

          span {
            float: left;
            font-size: 12px;
            font-family: Alimama ShuHeiTi;
            font-weight: bold;
            color: #ffffff;
            text-shadow: 0px 2px 7px #12323a;
          }

          i {
            float: right;
            width: 16px;
            height: 17px;
            margin-top: 7px;

            img {
              width: 100%;
              height: 100%;
            }
          }
        }
      }
    }
  }

  .seamless-warp{
    width: 100%;
    margin-top: 10px;
    height: calc(100% - 90px);
    overflow: hidden;
    .data-item {
      padding: 0 10px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      color: #dce9f6;
      background: linear-gradient(to right, rgba(0, 109, 255, 0.4), rgba(0, 109, 255, 0));
      height: 30px;
      margin-bottom: 3px;
      border-radius: 1.5px;
    }
  }
}
</style>
